TaskRuntime (CMDB Model API)
Keywords: com.collation.platform.model.workflow.TaskRuntime interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.workflow
Interface TaskRuntime

All Superinterfaces:
  ModelObject, java.io.Serializable

All Known Subinterfaces:
  ParamTaskRuntime, SystemTaskRuntime, UserTaskRuntime

    public interface TaskRuntime

extends ModelObject

Runtime representation of a workflow task

Naming Rules:
  0="runtimeId"
Persistable:
  true
Table Name:
  TASKRT
Display Name:
  name

Field Summary
`static int` | `ABORTED`
`static int` | `ACTIVE`
`static int` | `CLOSED`
`static int` | `COMPLETED`
`static int` | `ERROR`
`static int` | `NOT_STARTED`
`static int` | `PASS_DUE`
`static int` | `PENDING_CONFIRMATION`
`static int` | `PENDING_PERMISSION`
`static int` | `PENDING_ROLLBACK`
`static int` | `PENDING_START`

Method Summary
`long` | `getAbortedTime()`
`long` | `getCompletionTime()`
`boolean` | `getConfirmationRequired()`
`TaskRuntimeData` | `getData()`
`long` | `getDueTime()`
`int` | `getErrorCount()`
`long` | `getErrorTime()`
`long` | `getExpectedStartTime()`
`boolean` | `getFail()`
`java.lang.String` | `getName()`
`TaskRuntime[]` | `getNextTasks()`
`boolean` | `getPermissionRequired()`
`long` | `getRollbackTime()`
`long` | `getRuntimeId()`
`boolean` | `getSimulation()`
`long` | `getStartTime()`
`int` | `getStatus()`
`TaskRuntime[]` | `getWaitForTasks()`
`long` | `getWorkflowId()`
`boolean` | `hasAbortedTime()`
`boolean` | `hasCompletionTime()`
`boolean` | `hasConfirmationRequired()`
`boolean` | `hasData()`
`boolean` | `hasDueTime()`
`boolean` | `hasErrorCount()`
`boolean` | `hasErrorTime()`
`boolean` | `hasExpectedStartTime()`
`boolean` | `hasFail()`
`boolean` | `hasName()`
`boolean` | `hasNextTasks()`
`boolean` | `hasPermissionRequired()`
`boolean` | `hasRollbackTime()`
`boolean` | `hasRuntimeId()`
`boolean` | `hasSimulation()`
`boolean` | `hasStartTime()`
`boolean` | `hasStatus()`
`boolean` | `hasWaitForTasks()`
`boolean` | `hasWorkflowId()`
`void` | `setAbortedTime(long time)`
`void` | `setCompletionTime(long time)`
`void` | `setConfirmationRequired(boolean b)`
`void` | `setData(TaskRuntimeData data)`
`void` | `setDueTime(long time)`
`void` | `setErrorCount(int count)`
`void` | `setErrorTime(long time)`
`void` | `setExpectedStartTime(long time)`
`void` | `setFail(boolean s)`
`void` | `setName(java.lang.String name)`
`void` | `setNextTasks(TaskRuntime[] tasks)`
`void` | `setPermissionRequired(boolean b)`
`void` | `setRollbackTime(long time)`
`void` | `setRuntimeId(long id)`
`void` | `setSimulation(boolean s)`
`void` | `setStartTime(long time)`
`void` | `setStatus(int status)`
`void` | `setWaitForTasks(TaskRuntime[] tasks)`
`void` | `setWorkflowId(long id)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### NOT_STARTED

    static final int NOT_STARTED

See Also:
  Constant Field Values

### PENDING_START

    static final int PENDING_START

See Also:
  Constant Field Values

### PENDING_PERMISSION

    static final int PENDING_PERMISSION

See Also:
  Constant Field Values

### ACTIVE

    static final int ACTIVE

See Also:
  Constant Field Values

### ERROR

    static final int ERROR

See Also:
  Constant Field Values

### PASS_DUE

    static final int PASS_DUE

See Also:
  Constant Field Values

### PENDING_CONFIRMATION

    static final int PENDING_CONFIRMATION

See Also:
  Constant Field Values

### COMPLETED

    static final int COMPLETED

See Also:
  Constant Field Values

### CLOSED

    static final int CLOSED

See Also:
  Constant Field Values

### PENDING_ROLLBACK

    static final int PENDING_ROLLBACK

See Also:
  Constant Field Values

### ABORTED

    static final int ABORTED

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getRuntimeId

    long getRuntimeId()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRuntimeId

    void setRuntimeId(long id)

### hasRuntimeId

    boolean hasRuntimeId()

### getPermissionRequired

    boolean getPermissionRequired()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPermissionRequired

    void setPermissionRequired(boolean b)

### hasPermissionRequired

    boolean hasPermissionRequired()

### getConfirmationRequired

    boolean getConfirmationRequired()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConfirmationRequired

    void setConfirmationRequired(boolean b)

### hasConfirmationRequired

    boolean hasConfirmationRequired()

### getData

    TaskRuntimeData getData()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Containment Relationship:
    true

### setData

    void setData(TaskRuntimeData data)

### hasData

    boolean hasData()

### getWorkflowId

    long getWorkflowId()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWorkflowId

    void setWorkflowId(long id)

### hasWorkflowId

    boolean hasWorkflowId()

### getExpectedStartTime

    long getExpectedStartTime()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExpectedStartTime

    void setExpectedStartTime(long time)

### hasExpectedStartTime

    boolean hasExpectedStartTime()

### getStartTime

    long getStartTime()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStartTime

    void setStartTime(long time)

### hasStartTime

    boolean hasStartTime()

### getDueTime

    long getDueTime()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDueTime

    void setDueTime(long time)

### hasDueTime

    boolean hasDueTime()

### getErrorTime

    long getErrorTime()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setErrorTime

    void setErrorTime(long time)

### hasErrorTime

    boolean hasErrorTime()

### getCompletionTime

    long getCompletionTime()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCompletionTime

    void setCompletionTime(long time)

### hasCompletionTime

    boolean hasCompletionTime()

### getRollbackTime

    long getRollbackTime()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRollbackTime

    void setRollbackTime(long time)

### hasRollbackTime

    boolean hasRollbackTime()

### getAbortedTime

    long getAbortedTime()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAbortedTime

    void setAbortedTime(long time)

### hasAbortedTime

    boolean hasAbortedTime()

### getStatus

    int getStatus()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStatus

    void setStatus(int status)

### hasStatus

    boolean hasStatus()

### getSimulation

    boolean getSimulation()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSimulation

    void setSimulation(boolean s)

### hasSimulation

    boolean hasSimulation()

### getFail

    boolean getFail()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFail

    void setFail(boolean s)

### hasFail

    boolean hasFail()

### getErrorCount

    int getErrorCount()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setErrorCount

    void setErrorCount(int count)

### hasErrorCount

    boolean hasErrorCount()

### getWaitForTasks

    TaskRuntime[] getWaitForTasks()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWaitForTasks

    void setWaitForTasks(TaskRuntime[] tasks)

### hasWaitForTasks

    boolean hasWaitForTasks()

### getNextTasks

    TaskRuntime[] getNextTasks()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNextTasks

    void setNextTasks(TaskRuntime[] tasks)

### hasNextTasks

    boolean hasNextTasks()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD